Show / Hide Table of Contents

# UniTaskAsyncEnumerableExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class UniTaskAsyncEnumerableExtensions

##### Inheritance

System.Object → UniTaskAsyncEnumerableExtensions

### Members

#### Methods

Name | Description
--- | ---
WithCancellation<T>(IUniTaskAsyncEnumerable<T>, CancellationToken) |

### Methods

#### WithCancellation<T>(IUniTaskAsyncEnumerable<T>, CancellationToken)

    public static UniTaskCancelableAsyncEnumerable<T> WithCancellation<T>(this IUniTaskAsyncEnumerable<T> source, CancellationToken cancellationToken)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTaskCancelableAsyncEnumerable<T>

##### Type Parameters

`T`